## org.eclipse.m2m.atl.core.ui.launch
Class RemoteAtlConfigurationDelegate

    java.lang.Object
      org.eclipse.m2m.atl.core.ui.launch.RemoteAtlConfigurationDelegate

All Implemented Interfaces:
  org.eclipse.debug.core.model.ILaunchConfigurationDelegate

    public class RemoteAtlConfigurationDelegate

extends java.lang.Object
implements org.eclipse.debug.core.model.ILaunchConfigurationDelegate

This configuration delegate connection to remote debuggees.

Constructor Summary
`RemoteAtlConfigurationDelegate()`

Method Summary
`void` `launch(org.eclipse.debug.core.ILaunchConfiguration configuration, java.lang.String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteAtlConfigurationDelegate

    public RemoteAtlConfigurationDelegate()

Method Detail

### launch

    public void launch(org.eclipse.debug.core.ILaunchConfiguration configuration,
                       java.lang.String mode,
                       org.eclipse.debug.core.ILaunch launch,
                       org.eclipse.core.runtime.IProgressMonitor monitor)
                throws org.eclipse.core.runtime.CoreException

  Specified by:
    `launch` in interface `org.eclipse.debug.core.model.ILaunchConfigurationDelegate`
  Throws:
    `org.eclipse.core.runtime.CoreException`
  See Also:
    `ILaunchConfigurationDelegate.launch(org.eclipse.debug.core.ILaunchConfiguration, java.lang.String, org.eclipse.debug.core.ILaunch, org.eclipse.core.runtime.IProgressMonitor)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.